#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    this->printer = new QPrinter(QPrinterInfo::defaultPrinter());
    dlg = new QPageSetupDialog(printer,this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
//    this->printer->setPrinterName(this->ui->labelPrinterName->text());
    int result = dlg->exec();
    if(result == QDialog::Accepted)
    {
        if(this->printer->orientation() == QPrinter::Portrait)
            this->ui->labelOrientation->setText("Portrait");
        if(this->printer->orientation() == QPrinter::Landscape)
            this->ui->labelOrientation->setText("Landscape");

        QSizeF size = this->printer->paperSize(QPrinter::Millimeter);
        QString str = QString("%1x%2").arg(size.width()).arg(size.height());
            this->ui->labelPaperSize->setText(str);
            this->ui->labelPrinterName->setText(this->printer->printerName());
    }
}
